Bug 869072 - Build libgda with introspection
Build libgda with introspection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 19:21 EDT by Kalev Lember
Modified: 2012-10-30 11:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: libgda-5.1.1-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 11:05:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2012-10-22 19:21:37 EDT
glom uses gda through the gobject-introspection based python bindings. Currently libgda is built without introspection support and this causes glom to segfault on startup.

libgda-5.1.1-2.fc18.x86_64
glom-1.22.0-1.fc18.x86_64

$ glom
ERROR:root:Could not find any typelib for Gda
boost::python::import() failed while importing module: gi.repository.Gda
traceback = 0
Glom: Python Error:
ImportError: No module named Gda

Glom: A python import of a module failed: gi.repository.Gda

[...]
Segmentation fault
Comment 1 Fedora Update System 2012-10-24 12:46:34 EDT
libgda-5.1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libgda-5.1.1-3.fc18
Comment 2 Fedora Update System 2012-10-26 15:40:24 EDT
Package libgda-5.1.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgda-5.1.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16945/libgda-5.1.1-3.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.